classification
Title: test_unicode fails in wide unicode build
Type: Stage:
Components: Tests Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: hagen, loewis
Priority: normal Keywords:

Created on 2009-05-30 20:45 by hagen, last changed 2010-04-27 20:33 by loewis. This issue is now closed.

Messages (2)
msg88579 - (view) Author: Hagen Fürstenau (hagen) Date: 2009-05-30 20:45
ERROR: test_codecs_utf8 (__main__.UnicodeTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_unicode.py", line 911, in test_codecs_utf8
    self.assertEqual('\ud800\udc02'.encode('utf-8'), b'\xf0\x90\x80\x82')
UnicodeEncodeError: 'utf-8' codec can't encode character '\ud800' in
position 0: surrogates not allowed
msg88636 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-06-01 04:23
Thanks for the report. Fixed in r73106
History
Date User Action Args
2010-04-27 20:33:05loewissetpriority: normal
2009-06-01 04:23:28loewissetstatus: open -> closed
resolution: fixed
messages: + msg88636
2009-05-30 20:46:28benjamin.petersonsetpriority: release blocker -> (no value)
2009-05-30 20:46:21benjamin.petersonsetpriority: release blocker
assignee: loewis

nosy: + loewis
2009-05-30 20:45:01hagencreate